import { ApiRootService } from '@alfa-client/api-root-shared';
import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { AuthService } from '../common/auth/auth.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit {
  readonly title = 'admin';

  public apiRoot$: Observable<any>;

  constructor(
    public authService: AuthService,
    private apiRootService: ApiRootService,
  ) {}

  public async ngOnInit(): Promise<void> {
    await this.authService.login().then(() => this.doAfterLoggedIn());
  }

  doAfterLoggedIn(): void {
    this.apiRoot$ = this.apiRootService.getApiRoot();
  }
}
