import { loadEnvironment } from '@alfa-client/environment-shared';
import { enableProdMode } from '@angular/core';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { isNil } from 'lodash-es';
import { AppModule } from './app/app.module';
import { environment } from './environments/environment';

loadEnvironment(environment.environmentUrl).then((env) => {
	if (isNil(env)) {
		console.error('Connection Error: environment is undefined');
		return;
	}
	if (env.production) {
		enableProdMode();
	}
	console.info('init bootstrap application...');
	//Für Standalone AppComponent
	//bootstrapApplication(AppComponent, appConfig).catch(err => console.error(err));
	platformBrowserDynamic()
		.bootstrapModule(AppModule)
		.catch((err) => console.log(err));
});
