/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { AttachmentContainerE2EComponent } from '../attachment/attachment.e2e.component';

export class PostfachMailFormularE2EComponent {
  private readonly locatorEmpfaenger: string = 'postfach-empfaenger';
  private readonly locatorBetreff: string = 'Betreff-text-input';
  private readonly locatorBetreffError: string = 'Betreff-text-error';
  private readonly locatorText: string = 'Text-textarea-input';
  private readonly locatorTextError: string = 'Text-textarea-error';
  private readonly locatorSendButton: string = 'postfach-send-button';

  private readonly replyOption: ReplyOption = new ReplyOption();
  private readonly attachmentContainer: AttachmentContainerE2EComponent =
    new AttachmentContainerE2EComponent();

  public getEmpfaenger() {
    return cy.getTestElement(this.locatorEmpfaenger);
  }

  public getBetreff() {
    return cy.getTestElement(this.locatorBetreff);
  }

  public getBetreffError() {
    return cy.getTestElement(this.locatorBetreffError);
  }

  public getText() {
    return cy.getTestElement(this.locatorText);
  }

  public getTextError() {
    return cy.getTestElement(this.locatorTextError);
  }

  public getSendButton() {
    return cy.getTestElement(this.locatorSendButton);
  }

  public getReplyOption(): ReplyOption {
    return this.replyOption;
  }

  public getAttachmentContainer(): AttachmentContainerE2EComponent {
    return this.attachmentContainer;
  }
}

export class ReplyOption {
  private readonly locatorRoot: string = 'postfach-reply-option';
  private readonly locatorPossible: string = 'POSSIBLE-enum-item';
  private readonly locatorForbidden: string = 'FORBIDDEN-enum-item';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getPossibleOption() {
    return cy.getTestElement(this.locatorPossible);
  }

  public getForbiddenOption() {
    return cy.getTestElement(this.locatorForbidden);
  }
}
