/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
//TODO Datei umbenennen -> vorgang-subnavigation.e2e-component.ts
export class VorgangSubnavigationE2EComponent {
  private readonly backIconButton: string = 'back-button';

  private readonly assignUserProfileIconButton: string = 'assign-user-profile-icon-button';
  private readonly annehmenIconButton: string = 'annehmen-icon-button';
  private readonly abschliessenIconButton: string = 'abschliessen-icon-button';
  private readonly bearbeitenIconButton: string = 'bearbeiten-icon-button';
  private readonly bescheidenIconButton: string = 'bescheiden-icon-button';
  private readonly endgueltigLoeschenIconButton: string = 'endgueltig-loeschen-icon-button';
  private readonly loeschAnforderungZuruecknehmenIconButton: string =
    'loesch-anforderung-zuruecknehmen-icon-button';
  private readonly loeschenAnfordernIconButton: string = 'loeschen-anfordern-icon-button';
  private readonly postfachMailIconButton: string = 'send-mail-icon-button';
  private readonly verwerfenIconButton: string = 'verwerfen-icon-button';
  private readonly wiedereroeffnenIconButton: string = 'wiedereroeffnen-icon-button';
  private readonly wiedervorlageErstellenIconButton: string = 'create-wiedervorlage-icon-button';
  private readonly zurueckholenIconButton: string = 'zurueckholen-icon-button';
  private readonly zurueckstellenIconButton: string = 'zurueckstellen-icon-button';

  public getBackButton() {
    return cy.getTestElement(this.backIconButton);
  }

  public getAnnehmenIconButton() {
    return cy.getTestElement(this.annehmenIconButton);
  }

  //TOCHECK Wird nicht genutzt
  public getEndgueltigLoeschenIconButton() {
    return cy.getTestElement(this.endgueltigLoeschenIconButton);
  }
  //

  public getLoeschAnforderungZuruecknehmenIconButton() {
    return cy.getTestElement(this.loeschAnforderungZuruecknehmenIconButton);
  }

  public getVerwerfenIconButton() {
    return cy.getTestElement(this.verwerfenIconButton);
  }

  public getZurueckholenIconButton() {
    return cy.getTestElement(this.zurueckholenIconButton);
  }

  public getLoeschenAnfordernByIconButton() {
    return cy.getTestElement(this.loeschenAnfordernIconButton);
  }

  public getAbschliessenIconButton() {
    return cy.getTestElement(this.abschliessenIconButton);
  }

  public getBearbeitenIconButton() {
    return cy.getTestElement(this.bearbeitenIconButton);
  }

  public getBescheidenIconButton() {
    return cy.getTestElement(this.bescheidenIconButton);
  }

  public getWiedereroeffnenIconButton() {
    return cy.getTestElement(this.wiedereroeffnenIconButton);
  }

  public getZurueckstellenIconButton() {
    return cy.getTestElement(this.zurueckstellenIconButton);
  }

  public getWiedervorlageIconButton() {
    return cy.getTestElement(this.wiedervorlageErstellenIconButton);
  }

  public getCreateWiedervorlageIconButton() {
    return cy.getTestElement(this.wiedervorlageErstellenIconButton);
  }

  public getAssignUserProfileIconButton() {
    return cy.getTestElement(this.assignUserProfileIconButton);
  }

  public getPostfachMailIconButton() {
    return cy.getTestElement(this.postfachMailIconButton);
  }
}
