/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandE2E, CommandOrderE2E } from '../model/command';
import { initCommandData } from './cypress-helper';
import { getUserSabineInternalId } from './user-util';

const commandFixture: CommandE2E = require('../fixtures/command/command.json');

export function createCommand(): CommandE2E {
  return { ...commandFixture, createdBy: getUserSabineInternalId() };
}

export function buildCommand(
  order: CommandOrderE2E,
  vorgangId: string,
  relationId: string,
): CommandE2E {
  return {
    ...createCommand(),
    vorgangId,
    relationId,
    order,
  };
}

export function initCommand(command: CommandE2E): void {
  initCommands([command]);
}

export function initCommands(commands: CommandE2E[]): void {
  initCommandData(commands);
}
