const { createGlobPatternsForDependencies } = require('@nx/angular/tailwind');
const { join } = require('path');

/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    join(__dirname, 'src/**/!(*.stories|*.spec).{ts,html}'),
    ...createGlobPatternsForDependencies(__dirname),
  ],
  theme: {
    extend: {
      colors: {
        ozgblue: {
          50: 'hsl(200, 100%, 96%)',
          100: 'hsl(200, 100%, 92%)',
          200: 'hsl(199, 100%, 85%)',
          300: 'hsl(197, 100%, 76%)',
          400: 'hsl(199, 100%, 64%)',
          500: 'hsl(204, 100%, 56%)',
          600: 'hsl(209, 100%, 51%)',
          700: 'hsl(213, 100%, 48%)',
          800: 'hsl(215, 92%, 40%)',
          900: 'hsl(213, 85%, 33%)',
          DEFAULT: 'hsl(215, 75%, 22%)',
        },
      },
    },
  },
  plugins: [],
};
