/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { Component, Input } from '@angular/core';
import {
  CommandOrderType,
  CommandResource,
  ORDER_TYPE_BY_COMMAND_ORDER,
} from '@alfa-client/command-shared';

@Component({
  selector: 'alfa-historie-list-item',
  templateUrl: './historie-list-item.component.html',
  styleUrls: ['./historie-list-item.component.scss'],
})
export class HistorieListItemComponent {
  @Input() historieCommand: CommandResource;

  readonly orderTypeByCommandOrder = ORDER_TYPE_BY_COMMAND_ORDER;
  readonly commandOrderType = CommandOrderType;
}
