import { Component, OnInit } from '@angular/core';
import {
  FORBIDDEN_REPLY_OPTION_ITEM,
  Features,
  POSSIBLE_REPLY_OPTION_ITEM,
  PostfachService,
} from '@alfa-client/postfach-shared';
import { FormProvider } from '@alfa-client/tech-shared';
import { EnumEditorItem } from '@alfa-client/ui';
import { Observable } from 'rxjs';
import { PostfachMailFormservice } from '../postfach-mail.formservice';

@Component({
  selector: 'alfa-postfach-nachricht-reply-editor-container',
  templateUrl: './postfach-nachricht-reply-editor-container.component.html',
  styleUrls: ['./postfach-nachricht-reply-editor-container.component.scss'],
  viewProviders: [FormProvider],
})
export class PostfachNachrichtReplyEditorContainerComponent implements OnInit {
  public readonly itemList: EnumEditorItem[] = [
    POSSIBLE_REPLY_OPTION_ITEM,
    FORBIDDEN_REPLY_OPTION_ITEM,
  ];
  public readonly defaultItem: EnumEditorItem = POSSIBLE_REPLY_OPTION_ITEM;

  public readonly formServiceClass = PostfachMailFormservice;

  public postfachFeatures$: Observable<Features>;

  constructor(private postfachService: PostfachService) {}

  ngOnInit(): void {
    this.postfachFeatures$ = this.postfachService.getFeatures();
  }
}
