/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ElementRef } from '@angular/core';
import faker from '@faker-js/faker';
import {
  MatTooltipClassDirective,
  MatTooltipDirective,
  MatTooltipDisabledDirective,
} from './mattooltip.directive';

describe('MatToolTip Directives', () => {
  describe('MatTooltipDirective', () => {
    const el: ElementRef = <ElementRef>{};
    const tooltipText: string = faker.lorem.text();

    it('should create an instance', () => {
      const directive = new MatTooltipDirective(el);
      expect(directive).toBeTruthy();
    });
  });

  describe('MatTooltipDisabledDirective', () => {
    const el: ElementRef = <ElementRef>{};

    it('should create an instance', () => {
      const directive = new MatTooltipDisabledDirective(el);
      expect(directive).toBeTruthy();
    });
  });

  describe('MatTooltipClassDirective', () => {
    it('should create an instance', () => {
      const directive = new MatTooltipClassDirective();
      expect(directive).toBeTruthy();
    });
  });
});
