package de.ozgcloud.alfa.common;

import static org.mockito.Mockito.*;

import java.util.List;
import java.util.function.Consumer;
import java.util.stream.Stream;

public class TestUtils {

	public static final String UUID_REGEX = "[0-9a-f]{8,8}-[0-9a-f]{4,4}-[0-9a-f]{4,4}-[0-9a-f]{4,4}-[0-9a-f]{12,12}";

	public static String uuidRegexWithSuffix(String suffix) {
		return String.format("^%s%s$", UUID_REGEX, suffix);
	}

	public static <T> void mockStreamToList(List<T> list, Consumer<Stream<T>> mock) {
		var mockStream = mock(Stream.class);
		when(mockStream.toList()).thenReturn(list);
		mock.accept(mockStream);
	}

}
